with Ada.Strings.Fixed ;    use Ada.Strings.Fixed ;
with Ada.Text_Io ; use Ada.Text_Io ;

package body Exercice1a is

--fonction renvoyant la position d'une chaine si elle se trouve dans une autre
   function Indice_De (Chaine : in String ; Dans : in String) return Natural is
   begin
      return(Index(Dans,Chaine)); --fonction permettant de renvoyer le rang o a t trouv la chaine
      exception
   when Data_Error => Put("Erreur ! Mauvais type de saisie !");Skip_Line; return 0;
   end Indice_De;


--fonction permettant de remplacer une chaine par une autre de mme longueur dans une troisime chaine
   function Remplacement (De : in String ; Par : in String ; Dans : in String) return String is
   erreur_contenu,erreur_longueur : exception;
   begin
      if Indice_De (De, Dans)=0 then raise Erreur_Contenu; end if; --si la chaine  remplacer n'est pas trouve alors on lve un erreur
      if De'length/=Par'Length then raise Erreur_longueur; end if; --si les deux chaines ne font pas la mme longueur, on lve une erreur
      return Overwrite(Dans,Indice_De(De, Dans),Par);
exception
   when Data_Error => Put_line("Erreur ! Mauvais type de saisie !");Skip_Line; return "erreur";
   when Erreur_Contenu => Put_Line("L'element a modifie n'a pas ete trouve dans la chaine");Skip_Line; return "erreur";
   when Erreur_Longueur => Put_line("Erreur ! Les deux chaines a modifier et modification doivent etre de meme longueur !");Skip_Line;return "erreur";
   end Remplacement;
end exercice1a;


