---------------------------------------------------------------------------------------
-- Nom fichier      : occurence.ads                                    
-- Auteur           : CALAY-ROCHE Vincent                                          
-- Date             : 20/01/09                                           
--                                                                         
-- But              :  paquetage d 'occurence
--                                                        
-- Date de modif.   :                                                      
-- Raison           :                                                      
-- Modules appeles  : -                         
--                         
-- Mat. particulier :                                                      
-- Compilation      :  Gnat                                      
-- Edition de liens :  Gnat                                      
-- Mode d'execution :  Console                                             
----------------------------------------------------------------------------------------
with Ada.Text_IO;               use Ada.Text_IO;               -- Module d'entree/sortie de texte
with Ada.Integer_Text_Io;       use Ada.Integer_Text_Io;      -- Module d'entree/sortie d'entiers
with Ada.Float_Text_IO;         use Ada.Float_text_IO;
with Ada.strings.fixed;         use Ada.strings.fixed;  --voir cour 4 d'ada

package occurence is 

--dclaration des procdures et fonctions a utiliser


   Taille_Max_Error : exception;
   File_Open_Error  : exception;
   File_Read_Error  : exception;
   File_Write_Error : exception;

   
   
   --recherche de l'occurence
   function indice_de(chaine: in string; Dans : in String)
     return integer;
	 
   --remplacement de l'occurence
   function remplacement(De: in string;Par : in string; Dans : in String)
     return string;
	 
	 
   procedure menu(res1 : integer; res2 : string);
	 	 
   
   end occurence;





