---------------------------------------------------------------------------------------
-- Nom fichier      : Chaine.adb                                       
-- Auteur             DUEZ Thomas                                          
-- Date             : 20/01/2009                                           
--                                                                         
-- But              :  Package pour gestion de chaîne
--                         
-- Mat. particulier :                                                      
-- Compilation      :  Gnat                                      
-- Edition de liens :  Gnat                                      
-- Mode d'execution :  Console                                             
----------------------------------------------------------------------------------------



with chaine;

package body chaine is

Erreur:exception;   --Exception levé sur la fonction Remplacement (on inserera ensuite un bloc de gestion des exceptions dans le main)

function Indice_De(Chaine:string;Dans:string) return natural is

a:integer;  
e:integer;

begin
a:=0;
for i in Chaine'range loop   -- i parcous Chaine
e:=i+a;                      --a permet de décaler la chaîne comparé de Dans
	if chaine(i)=Dans(e)
		then return a+1;     --Pour ada le premier charactère d'une chaîne est à la position 0, d'ou l'ajout de 1
	else a:=a+1;
	end if;
end loop;
return 0;
end Indice_De;




function Remplacement(De:string;Par:string;Dans:string) return string is
b:integer;
c:integer;
nouveau:string:=" ";		
begin
nouveau:=Dans;		--Nouveau va stocker la chaîne modifiée
	If De'length /= Par'length		--Comparaison des tailles de DE et de Par
	then raise Erreur;
	end if;
		If Indice_De(De,Dans)=0 then     --La chaîne à modifier ne se trouve pas dans Dans
		raise Erreur;
		else b:=Indice_De(De,Dans);	--b prend la valeur de l'indice du premier charactère de l'occurence De dans Dans
			for i in De'range loop
			c:=b+i;			
		nouveau(c):=Par(i);		--modification de la chaîne
			end loop;
		end if;
return nouveau;
end Remplacement;

end chaine;
			