    package body chaines is
	
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------	
    ----------------------------------------------------------------------------------
    -- fonction Indice_De
    -- But : donne l'indice du motif
    --
    -- Parametre  In       : string
    --            retourne : natural
    -- Exception : /
    ----------------------------------------------------------------------------------
	function Indice_De(Chaine: string ; Dans: string) return Natural is
	a:integer;
	b: natural;
	
	begin
	
		a:=natural(Index(Dans, Chaine)); --renvoie l'indice d'occurence
		If a /= 0 then
			b:=a;
		else
			b:=0;
		end if;
			
	return b;
			
	end Indice_De;

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    ----------------------------------------------------------------------------------
    -- fonction remplacement
    -- But : remplacer dans la chaine "Dans" la premire occurence de la chaine "De" par la chaine "Par" 
    -- Parametre  In       :  string
    -- Exception : Pas_occ quand il n'y a pas d'occurence
		--	  Longueur_diff lorsque De et Par ne sont pas de la mme longueur	 
    ----------------------------------------------------------------------------------

	
	function Remplacement(De: string ; Par: string ; Dans: string) return string is
		a:integer;
	
	begin
			a:=Index(Dans,De);
			
			If a=0 then -- S'il n'y a pas d'occurence
			raise Pas_occ; --on lve l'exception
			end if;
			
			if (De'length /= Par'length) then --Si les longueur de chaine diffrent
			raise Longueur_diff; --on lve l'exception
			end if;
			
		return Overwrite (Dans,a,Par);
	
	end Remplacement;
	
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	
	end chaines;